{
  "schema_version": "1.4.0",
  "id": "GHSA-j83f-g7mr-qg5h",
  "modified": "2025-04-20T03:32:40Z",
  "published": "2022-05-14T00:58:28Z",
  "aliases": [
    "CVE-2017-5953"
  ],
  "details": "vim before patch 8.0.0322 does not properly validate values for tree length when handling a spell file, which may result in an integer overflow at a memory allocation site and a resultant buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-5953"
    },
    {
      "type": "WEB",
      "url": "https://github.com/vim/vim/commit/399c297aa93afe2c0a39e2a1b3f972aebba44c9d"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/forum/#!topic/vim_dev/t-3RSdEnrHY"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/forum/#%21topic/vim_dev/t-3RSdEnrHY"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201706-26"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4016-1"
    },
    {
      "type": "WEB",
      "url": "https://usn.ubuntu.com/4309-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2017/dsa-3786"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/96217"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-02-10T07:59:00Z"
  }
}